using UnityEngine;

public class AggroTrigger : MonoBehaviour 
{

    public bool Triggered = false;
    public float TriggeredTime;
    public float ClearDarkRadius = 1f;

    private Collider2D[] seenList = new Collider2D[100];

    public void Trigger()
    {
        if (Triggered)
            return;

        Triggered = true;
        TriggeredTime = Time.time;
        Vision.ClearDarknessAround(transform, ClearDarkRadius, seenList);
    }

}
